%define upstream_name    Proc-Wait3
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl extension for wait3 system call
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Proc/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%{?perl_default_filter}

%description
If any child processes have exited, this call will "reap" the zombies
similar to the perl "wait" function.

By default, it will return immediately and if there are no dead children,
everything will be undefined. If you pass in a true argument, it will block
until a child exits (or it gets a signal).

 $pid         PID of exiting child

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-3.mga6
+ Revision: 1032707
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.50.0-2.mga6
+ Revision: 957929
- Mageia 6 Mass Rebuild

* Wed Feb 10 2016 shlomif <shlomif> 0.50.0-1.mga6
+ Revision: 953369
- update to 0.05

* Fri Jun 26 2015 tv <tv> 0.40.0-11.mga6
+ Revision: 845169
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.40.0-10.mga6
+ Revision: 841767
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-9.mga5
+ Revision: 741646
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.40.0-8.mga5
+ Revision: 733356
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-7.mga5
+ Revision: 686063
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.40.0-6.mga5
+ Revision: 631607
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.40.0-5.mga4
+ Revision: 524434
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.40.0-4.mga4
+ Revision: 430928
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-3.mga3
+ Revision: 372155
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.40.0-2.mga3
+ Revision: 251086
- rebuild for perl 5.16
- imported package perl-Proc-Wait3


* Mon Jul 25 2011 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
